NullDataProvider Class Reference

A dumrequest data provider that provides an empty hash as the request and response types. More...

Inherits AbstractDataProvider.

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object.
string | getName ()
| Returns the name of this data provider (`"NullRequest"`)
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Public Attributes

const | ProviderInfo
| Provider info.

## Protected Member Functions

auto | doRequestImpl (auto req, *hash< auto > request_options)
| Returns an empty hash.
*hash< string, AbstractDataProviderType > | getErrorResponseTypesImpl ()
| Returns NOTHING.
*AbstractDataProviderType | getRequestTypeImpl ()
| Returns an empty hash type.
*AbstractDataProviderType | getResponseTypeImpl ()
| Returns an empty hash type.

## Static Protected Member Functions

static HashDataType | type ()
| The default request and response type for this data provider.

## Detailed Description

A dumrequest data provider that provides an empty hash as the request and response types.